/*$Id:$*/
/*21.03.2023	21.03.2023	uospos.h	Белых А.И.
*/

class uospos_rp
 {
  public:
  class iceb_tu_str datar;
  class iceb_tu_str shetu;
  class iceb_tu_str innom;
  class iceb_tu_str naimos;
  class iceb_tu_str podrp;
  class iceb_tu_str matotp;

  class iceb_tu_spisok pm_ps;
  class iceb_tu_spisok pm_vbs;
  int metka_pm_ps;  
  int vbs;
  uospos_rp()
   {
    clean();
    pm_ps.plus(gettext("Всё"));
    pm_ps.plus(gettext("Только \"Учёт основных средств\""));
    pm_ps.plus(gettext("Только \"Материальный учёт\""));

    pm_vbs.plus(gettext("Бухгалтерская"));
    pm_vbs.plus(gettext("Налоговая"));
    vbs=metka_pm_ps=0;
   }
  void clean()
   {
    datar.new_plus("");
    shetu.new_plus("");
    innom.new_plus("");
    naimos.new_plus("");
    podrp.new_plus("");
    matotp.new_plus("");
   }
 };
